% load Pre
Pre = load('/Volumes/MyPassport3TB/RDM_Distract/MAT_V2/data/dotsX_behav_JQK_3_Pre_28-03-2017_10-30.mat');

% load Post
Post = load('/Volumes/MyPassport3TB/RDM_Distract/MAT_V2/data/dotsX_behav_JQK_3_Post_28-03-2017_11-00.mat');

% % load Pre
% Pre = load('/Volumes/MyPassport3TB/RDM_Distract/MAT_V2/data/dotsX_behav_JQK_2_Pre_27-03-2017_17-49.mat');
% 
% % load Post
% Post = load('/Volumes/MyPassport3TB/RDM_Distract/MAT_V2/data/dotsX_behav_JQK_2_Post_27-03-2017_18-49.mat');

%% Figure of total means and SDs (accuracy + RTs)

figure;
subplot(2,1,1);
    bar([nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4,3))]);
    hold on;
    errorbar([nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4,3))],...
    [std(Pre.ResultMat(Pre.ResultMat(:,2) == 1,3)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 2,3)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 3,3)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 4,3))], 'o') 
    set(gca,'XTickLabel', Pre.dotInfo.MAT.attNames);
    title('RTs');
subplot(2,1,2);
    bar([nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4,4))]);
    hold on;
    errorbar([nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4,4))],...
    [std(Pre.ResultMat(Pre.ResultMat(:,2) == 1,4)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 2,4)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 3,4)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 4,4))], 'o')
    title('Accuracy');
    set(gca,'XTickLabel', Pre.dotInfo.MAT.attNames);

 
 %% Figure of total means and SDs (accuracy + RTs)

figure;
subplot(2,2,1);
    bar([nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 1,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 1,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 1,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 1,3))]);
    hold on;
    errorbar([nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 1,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 1,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 1,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 1,3))],...
    [std(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 1,3)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 1,3)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 1,3)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 1,3))], 'o') 
    set(gca,'XTickLabel', Pre.dotInfo.MAT.attNames);
    title('RTs');
subplot(2,2,2);
    bar([nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 2,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 2,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 2,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 2,3))]);
    hold on;
    errorbar([nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 2,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 2,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 2,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 2,3))],...
    [std(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 2,3)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 2,3)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 2,3)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 2,3))], 'o') 
    set(gca,'XTickLabel', Pre.dotInfo.MAT.attNames);
    title('RTs');
subplot(2,2,3);
    bar([nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 1,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 1,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 1,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 1,4))]);
    hold on;
    errorbar([nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 1,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 1,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 1,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 1,4))],...
    [std(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 1,4)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 1,4)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 1,4)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 1,4))], 'o')
    title('Accuracy');
    set(gca,'XTickLabel', Pre.dotInfo.MAT.attNames);
subplot(2,2,4);
    bar([nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 2,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 2,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 2,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 2,4))]);
    hold on;
    errorbar([nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 2,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 2,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 2,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 2,4))],...
    [std(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 2,4)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 2,4)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 2,4)),...
    std(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 2,4))], 'o')
    title('Accuracy');
    set(gca,'XTickLabel', Pre.dotInfo.MAT.attNames);

%% plot change due to cue [Pre + Post]
    
figure;
subplot(2,2,1);
    bar([nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 1,3))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 2,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 1,3))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 2,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 1,3))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 2,3)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 1,3))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 2,3))]);
    set(gca,'XTickLabel', Pre.dotInfo.MAT.attNames);
    title('RTs [Pre]');
subplot(2,2,2);
    bar([nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 1,4))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 2,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 1,4))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 2,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 1,4))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 2,4)),...
    nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 1,4))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 2,4))]);
    title('Accuracy [Pre]');
    set(gca,'XTickLabel', Pre.dotInfo.MAT.attNames);
    
subplot(2,2,3);
    bar([nanmean(Post.ResultMat(Post.ResultMat(:,2) == 1 & Post.ResultMat(:,1) == 1,3))-nanmean(Post.ResultMat(Post.ResultMat(:,2) == 1 & Post.ResultMat(:,1) == 2,3)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 2 & Post.ResultMat(:,1) == 1,3))-nanmean(Post.ResultMat(Post.ResultMat(:,2) == 2 & Post.ResultMat(:,1) == 2,3)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 3 & Post.ResultMat(:,1) == 1,3))-nanmean(Post.ResultMat(Post.ResultMat(:,2) == 3 & Post.ResultMat(:,1) == 2,3)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 4 & Post.ResultMat(:,1) == 1,3))-nanmean(Post.ResultMat(Post.ResultMat(:,2) == 4 & Post.ResultMat(:,1) == 2,3))]);
    set(gca,'XTickLabel', Post.dotInfo.MAT.attNames);
    title('RTs [Post]');
subplot(2,2,4);
    bar([nanmean(Post.ResultMat(Post.ResultMat(:,2) == 1 & Post.ResultMat(:,1) == 1,4))-nanmean(Post.ResultMat(Post.ResultMat(:,2) == 1 & Post.ResultMat(:,1) == 2,4)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 2 & Post.ResultMat(:,1) == 1,4))-nanmean(Post.ResultMat(Post.ResultMat(:,2) == 2 & Post.ResultMat(:,1) == 2,4)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 3 & Post.ResultMat(:,1) == 1,4))-nanmean(Post.ResultMat(Post.ResultMat(:,2) == 3 & Post.ResultMat(:,1) == 2,4)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 4 & Post.ResultMat(:,1) == 1,4))-nanmean(Post.ResultMat(Post.ResultMat(:,2) == 4 & Post.ResultMat(:,1) == 2,4))]);
    title('Accuracy [Post]');
    set(gca,'XTickLabel', Post.dotInfo.MAT.attNames);

    
%% plot post-pre for each cue
    
figure;
subplot(2,2,1);
    bar([nanmean(Post.ResultMat(Post.ResultMat(:,2) == 1 & Post.ResultMat(:,1) == 1,3))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 1,3)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 2 & Post.ResultMat(:,1) == 1,3))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 1,3)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 3 & Post.ResultMat(:,1) == 1,3))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 1,3)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 4 & Post.ResultMat(:,1) == 1,3))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 1,3))]);
    set(gca,'XTickLabel', Pre.dotInfo.MAT.attNames);
    title('RTs [Cue]');
subplot(2,2,2);
    bar([nanmean(Post.ResultMat(Post.ResultMat(:,2) == 1 & Post.ResultMat(:,1) == 1,4))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 1,4)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 2 & Post.ResultMat(:,1) == 1,4))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 1,4)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 3 & Post.ResultMat(:,1) == 1,4))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 1,4)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 4 & Post.ResultMat(:,1) == 1,4))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 1,4))]);
    title('Accuracy [Cue]');
    set(gca,'XTickLabel', Pre.dotInfo.MAT.attNames);
subplot(2,2,3);
    bar([nanmean(Post.ResultMat(Post.ResultMat(:,2) == 1 & Post.ResultMat(:,1) == 1,3))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 2,3)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 2 & Post.ResultMat(:,1) == 1,3))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 2,3)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 3 & Post.ResultMat(:,1) == 1,3))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 2,3)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 4 & Post.ResultMat(:,1) == 1,3))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 2,3))]);
    set(gca,'XTickLabel', Post.dotInfo.MAT.attNames);
    title('RTs [no Cue]');
subplot(2,2,4);
    bar([nanmean(Post.ResultMat(Post.ResultMat(:,2) == 1 & Post.ResultMat(:,1) == 1,4))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 1 & Pre.ResultMat(:,1) == 2,4)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 2 & Post.ResultMat(:,1) == 1,4))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 2 & Pre.ResultMat(:,1) == 2,4)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 3 & Post.ResultMat(:,1) == 1,4))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 3 & Pre.ResultMat(:,1) == 2,4)),...
    nanmean(Post.ResultMat(Post.ResultMat(:,2) == 4 & Post.ResultMat(:,1) == 1,4))-nanmean(Pre.ResultMat(Pre.ResultMat(:,2) == 4 & Pre.ResultMat(:,1) == 2,4))]);
    title('Accuracy [no Cue]');
    set(gca,'XTickLabel', Post.dotInfo.MAT.attNames);
